%define oname	SVGCleaner

Name:		svgcleaner
Summary:	Qt graphic tool
Version:	0.6.2
Release:	%mkrel 7
License:	GPLv2+
Group:		Graphics/Utilities
Url:		http://qt-apps.org/content/show.php/SVG+Cleaner?content=147974
Source0:	https://github.com/RazrFalcon/SVGCleaner/archive/v%{version}/%{oname}-%{version}.tar.gz
BuildRequires:	qt4-devel
Requires:	p7zip

%description
Generally, SVG files produced by vector editors contain a lot of unused
elements and attributes that just blow up their size without providing
better visible quality.

SVG Cleaner could help you to clean up your SVG files from unnecessary
data. It has a lot of options for cleanup and optimization, works in
batch mode, provides threaded processing on the multicore processors
and basically does two things:
- removing elements and attributes that don't contribute to the
  final rendering;
- making those elements and attributes in use more compact.

Images cleaned by SVG Cleaner are typically 10-60 percent smaller than
the original ones.

Important! The internal image viewer in SVG Cleaner uses the QtSvg module
for rendering SVG images. Qt supports only the static features of
SVG 1.2 Tiny, and that imposes a number of restrictions on rendering of
advanced features. For instance, elements such as clipPath, mask, filters
etc. will not be rendered at all.

%prep
%setup -qn %{oname}-%{version}
%autopatch -p1

sed -i 's#\(QMAKE_LRELEASE[ \t]*=\).*qt4#\1 %{_qt4_bindir}/lrelease#' translations/translations.pri

%build
%qmake_qt4 %{name}.pro CONFIG+="release"
%make

%install
%make_install INSTALL_ROOT=%{buildroot}

#binaries
mkdir -p %{buildroot}%{_bindir}
install -Dpm755 bin/%{name}-cli %{buildroot}%{_bindir}
install -Dpm755 bin/%{name}-gui %{buildroot}%{_bindir}

#presets
#mkdir -p %{buildroot}%{_datadir}/%{name}/presets
#cp -a presets/*.preset %{buildroot}%{_datadir}/%{name}/presets

#translations
mkdir -p %{buildroot}%{_datadir}/%{name}/translations
cp -a bin/*.qm %{buildroot}%{_datadir}/%{name}/translations

#fix desktop file
desktop-file-install \
	--remove-key="Version" \
	--set-icon=%{name} \
	--dir %{buildroot}%{_datadir}/applications/ \
		 svgcleaner.desktop

%files
%doc README
%{_bindir}/svgcleaner*
%{_datadir}/applications/svgcleaner.desktop
%{_iconsdir}/hicolor/scalable/apps/svgcleaner.svg
%{_datadir}/svgcleaner/


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.6.2-7.mga8
+ Revision: 1517305
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std
- replace deprecated %%apply_patches

* Sun Sep 23 2018 umeabot <umeabot> 0.6.2-6.mga7
+ Revision: 1301253
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.6.2-5.mga6
+ Revision: 946468
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.2-4.mga5
+ Revision: 749585
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.2-3.mga5
+ Revision: 689628
- Mageia 5 Mass Rebuild

* Sun Feb 23 2014 wally <wally> 0.6.2-2.mga5
+ Revision: 595927
- fix menu icon

* Sat Feb 22 2014 wally <wally> 0.6.2-1.mga5
+ Revision: 595600
- imported package svgcleaner

